Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
ドキュメントに署名した後に、会社ではユーザーをお礼のページやオンボーディングページのような特定のウェブページにリダイレクトしたい場合もよくあります。このような要件をサポートする機能は2つあります。
署名者が署名プロセスを完了したときに、その署名者をウェブページにリダイレクトできます。署名者が署名リクエストを拒否した場合も同様です。
redirect_urlパラメータとdecline_redirect_urlパラメータを渡すことで、これらのページをカスタマイズできます。
例:
curl --location 'https://api.box.com/2.0/sign_requests' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ej...3t' \
--data-raw '{
"is_document_preparation_needed": true,
"redirect_url": "https://community.box.com/",
"declined_redirect_url": "https://developer.box.com/",
"parent_folder": {
"id": "234102987614",
"type": "folder"
},
"source_files": [
{
"id": "1358047520478",
"type": "file"
}
],
"signers": [
{
"email": "signer@example.com",
"role": "signer"
}
]
}'
署名した場合、フォーラムページにリダイレクトされます。拒否した場合は、開発者向けのページにリダイレクトされます。